Skip to main content
PATCH
Update a event rule

Authorizations

Authorization
string
header
required

Your Graviton API token. Send Authorization: Bearer YOUR_API_TOKEN or Authorization: YOUR_API_TOKEN. Each token has individual permissions; a valid token without the permission required by the method and route returns 403 TOKEN_PERMISSION_DENIED.

Path Parameters

id
integer
required
Required range: x >= 1

Body

application/json
type
any

Type.

name
any

Name.

active
any

Active.

week_days
any

Week days.

day_time
any

Day time.

imei
any

Imei.

checked_value
any

Checked value.

route_trigger
any

Route trigger.

zone_trigger
any

Zone trigger.

routes
any

Routes.

zones
any

Zones.

notify_system
any

Notify system.

notify_email
any

Notify email.

notify_email_address
any

Notify email address.

notify_sms
any

Notify sms.

notify_sms_number
any

Notify sms number.

notify_telegram
any

Notify telegram.

email_template_id
any

Email template id.

sms_template_id
any

Sms template id.

cmd_send
any

Cmd send.

cmd_gateway
any

Cmd gateway.

cmd_type
any

Cmd type.

cmd_string
any

Cmd string.

Response

Successful response

success
enum<boolean>
required
Available options:
true
data
object
required
meta
object